Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPOPReader Class Reference

`#include <vtkPOPReader.h>`

Inheritance diagram for vtkPOPReader:

[legend]
Collaboration diagram for vtkPOPReader:

[legend]
List of all members.

## Detailed Description

read POP data files

Date:
  2002/08/30 21:05:53

Revision:
  1.8

vtkPOPReader Just converts from images to a structured grid for now.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Hoffman, Bill (88%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPOPReader.h)`
  - .`cxx` (`/Parallel/vtkPOPReader.cxx)`

Definition at line 45 of file vtkPOPReader.h.

## Public Types
typedef vtkStructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int * | GetDimensions ()
virtual void | GetDimensions (int &, int &)
virtual void | GetDimensions (int[2])
virtual char * | GetGridFileName ()
virtual char * | GetUFlowFileName ()
virtual char * | GetVFlowFileName ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetClipExtent (int, int, int, int, int, int)
virtual void | SetClipExtent (int[6])
virtual int * | GetClipExtent ()
virtual void | GetClipExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetClipExtent (int[6])
virtual void | SetNumberOfGhostLevels (int)
virtual int | GetNumberOfGhostLevels ()
## Static Public Methods
vtkPOPReader * | New ()
int | IsTypeOf (const char *type)
vtkPOPReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPOPReader ()
| ~vtkPOPReader ()
void | ExecuteInformation ()
void | Execute ()
void | ReadInformationFile ()
vtkPoints * | ReadPoints (vtkImageData *image)
void | ReadFlow ()
vtkPoints * | GeneratePoints ()
virtual void | SetGridFileName (const char *)
void | SetGridName (char *name)
void | DeleteArrays ()
void | AddArray (char *arrayName, char *fileName, unsigned long offset)
void | AddArrayName (char *arrayName, char *fileName, unsigned long offset)
virtual void | SetUFlowFileName (const char *)
virtual void | SetVFlowFileName (const char *)
int | IsFileName (char *name)
char * | MakeFileName (char *name)
| vtkPOPReader (const vtkPOPReader &)
void | operator= (const vtkPOPReader &)
## Protected Attributes
char * | FileName
int | Dimensions [2]
char * | GridFileName
float | Radius
vtkFloatArray * | DepthValues
int | NumberOfGhostLevels
int | NumberOfArrays
int | MaximumNumberOfArrays
char ** | ArrayNames
char ** | ArrayFileNames
unsigned long * | ArrayOffsets
int | ArrayFileDimensionality
char * | UFlowFileName
unsigned long | UFlowFileOffset
char * | VFlowFileName
unsigned long | VFlowFileOffset
int | ClipExtent [6]

## Member Typedef Documentation

typedef vtkStructuredGridSource vtkPOPReader::Superclass

| Reimplemented from vtkStructuredGridSource. Definition at line 49 of file vtkPOPReader.h.

## Constructor & Destructor Documentation

vtkPOPReader::vtkPOPReader | ( |  | ) | `[protected]`

vtkPOPReader::~vtkPOPReader | ( |  | ) | `[protected]`

vtkPOPReader::vtkPOPReader | ( | const vtkPOPReader & |  | ) | `[protected]`

## Member Function Documentation

vtkPOPReader* vtkPOPReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPOPReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridSource.

int vtkPOPReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

virtual int vtkPOPReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

vtkPOPReader* vtkPOPReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridSource.

void vtkPOPReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridSource.

virtual int* vtkPOPReader::GetDimensions | ( |  | ) | `[virtual]`

| This is the longitude and latitude dimensions of the structured grid.

virtual void vtkPOPReader::GetDimensions | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| This is the longitude and latitude dimensions of the structured grid.

virtual void vtkPOPReader::GetDimensions | ( | int | [2] | ) | `[virtual]`

| This is the longitude and latitude dimensions of the structured grid.

virtual char* vtkPOPReader::GetGridFileName | ( |  | ) | `[virtual]`

| This file contains the latitude and longitude of the grid. It must be double with no header.

virtual char* vtkPOPReader::GetUFlowFileName | ( |  | ) | `[virtual]`

| These files contains the u and v components of the flow.

virtual char* vtkPOPReader::GetVFlowFileName | ( |  | ) | `[virtual]`

| These files contains the u and v components of the flow.

virtual void vtkPOPReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| This file contains information about all the files.

virtual char* vtkPOPReader::GetFileName | ( |  | ) | `[virtual]`

| This file contains information about all the files.

virtual void vtkPOPReader::SetRadius | ( | float |  | ) | `[virtual]`

| Radius of the earth.

virtual float vtkPOPReader::GetRadius | ( |  | ) | `[virtual]`

| Radius of the earth.

virtual void vtkPOPReader::SetClipExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Because the data can be so large, here is an option to clip while reading.

virtual void vtkPOPReader::SetClipExtent | ( | int | [6] | ) | `[virtual]`

| Because the data can be so large, here is an option to clip while reading.

virtual int* vtkPOPReader::GetClipExtent | ( |  | ) | `[virtual]`

| Because the data can be so large, here is an option to clip while reading.

virtual void vtkPOPReader::GetClipExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Because the data can be so large, here is an option to clip while reading.

virtual void vtkPOPReader::GetClipExtent | ( | int | [6] | ) | `[virtual]`

| Because the data can be so large, here is an option to clip while reading.

virtual void vtkPOPReader::SetNumberOfGhostLevels | ( | int |  | ) | `[virtual]`

| Set the number of ghost levels to include in the data

virtual int vtkPOPReader::GetNumberOfGhostLevels | ( |  | ) | `[virtual]`

| Set the number of ghost levels to include in the data

void vtkPOPReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkPOPReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPOPReader::ReadInformationFile | ( |  | ) | `[protected]`

vtkPoints* vtkPOPReader::ReadPoints | ( | vtkImageData * | image | ) | `[protected]`

void vtkPOPReader::ReadFlow | ( |  | ) | `[protected]`

vtkPoints* vtkPOPReader::GeneratePoints | ( |  | ) | `[protected]`

virtual void vtkPOPReader::SetGridFileName | ( | const char * |  | ) | `[protected, virtual]`

void vtkPOPReader::SetGridName | ( | char * | name | ) | `[protected]`

void vtkPOPReader::DeleteArrays | ( |  | ) | `[protected]`

void vtkPOPReader::AddArray | ( | char * | arrayName,
|  | char * | fileName,
|  | unsigned long | offset
| ) | `[protected]`

void vtkPOPReader::AddArrayName | ( | char * | arrayName,
|  | char * | fileName,
|  | unsigned long | offset
| ) | `[protected]`

virtual void vtkPOPReader::SetUFlowFileName | ( | const char * |  | ) | `[protected, virtual]`

virtual void vtkPOPReader::SetVFlowFileName | ( | const char * |  | ) | `[protected, virtual]`

int vtkPOPReader::IsFileName | ( | char * | name | ) | `[protected]`

char* vtkPOPReader::MakeFileName | ( | char * | name | ) | `[protected]`

void vtkPOPReader::operator= | ( | const vtkPOPReader & |  | ) | `[protected]`

## Member Data Documentation

char* vtkPOPReader::FileName`[protected]`

| Definition at line 107 of file vtkPOPReader.h.

int vtkPOPReader::Dimensions[2]`[protected]`

| Definition at line 109 of file vtkPOPReader.h.

char* vtkPOPReader::GridFileName`[protected]`

| Definition at line 112 of file vtkPOPReader.h.

float vtkPOPReader::Radius`[protected]`

| Definition at line 114 of file vtkPOPReader.h.

vtkFloatArray* vtkPOPReader::DepthValues`[protected]`

| Definition at line 115 of file vtkPOPReader.h.

int vtkPOPReader::NumberOfGhostLevels`[protected]`

| Definition at line 116 of file vtkPOPReader.h.

int vtkPOPReader::NumberOfArrays`[protected]`

| Definition at line 121 of file vtkPOPReader.h.

int vtkPOPReader::MaximumNumberOfArrays`[protected]`

| Definition at line 122 of file vtkPOPReader.h.

char** vtkPOPReader::ArrayNames`[protected]`

| Definition at line 123 of file vtkPOPReader.h.

char** vtkPOPReader::ArrayFileNames`[protected]`

| Definition at line 124 of file vtkPOPReader.h.

unsigned long* vtkPOPReader::ArrayOffsets`[protected]`

| Definition at line 125 of file vtkPOPReader.h.

int vtkPOPReader::ArrayFileDimensionality`[protected]`

| Definition at line 126 of file vtkPOPReader.h.

char* vtkPOPReader::UFlowFileName`[protected]`

| Definition at line 129 of file vtkPOPReader.h.

unsigned long vtkPOPReader::UFlowFileOffset`[protected]`

| Definition at line 131 of file vtkPOPReader.h.

char* vtkPOPReader::VFlowFileName`[protected]`

| Definition at line 132 of file vtkPOPReader.h.

unsigned long vtkPOPReader::VFlowFileOffset`[protected]`

| Definition at line 134 of file vtkPOPReader.h.

int vtkPOPReader::ClipExtent[6]`[protected]`

| Definition at line 140 of file vtkPOPReader.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPOPReader.h